//+------------------------------------------------------------------+
//|                                                     BearBull.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern int BullBearPeriod=5;// 

extern color color1 = Silver;    //   
extern color color3 = SlateGray; //   
extern color color2 = Lime;      //  Bear;
extern color color4 = Red;       //  Bull;

int CountBars = 10000;

string msg1  = "-";        //    
string font  = "Arial";    //    
int fontsize = 40;         //    
double bull, bear;

int init()
{

      int x=1;
      for(int y=2;y<24;y++)
       {
         ObjectCreate("signal"+y,OBJ_LABEL,0,0,0,0,0); // 
         ObjectSet("signal"+y,OBJPROP_XDISTANCE,x*20); //   
         ObjectSet("signal"+y,OBJPROP_YDISTANCE,y*5);  //   
         ObjectSetText("signal"+y,msg1,fontsize,font,color1);
       }
      x=2;
      for( y=2;y<24;y++)
       {
         ObjectCreate("signab"+y,OBJ_LABEL,0,0,0,0,0); // 
         ObjectSet("signab"+y,OBJPROP_XDISTANCE,x*20); //   
         ObjectSet("signab"+y,OBJPROP_YDISTANCE,y*5);  //   
         ObjectSetText("signab"+y,msg1,fontsize,font,color1);
       }
   
   return(0);
}

int deinit()
  {
//----
   ObjectsDeleteAll();  //              
//----
   return(0);
  }

int start()
  {
//     if (Volume[0]>1) { return;}   //       
                                     //      
   
   for(int y=2;y<13;y++)
   {
   ObjectSetText("signal"+y,msg1,fontsize,font,color1); //       
   ObjectSetText("signab"+y,msg1,fontsize,font,color1); //       
   }
   for(y=13;y<24;y++)
   {
   ObjectSetText("signal"+y,msg1,fontsize,font,color3); //      
   ObjectSetText("signab"+y,msg1,fontsize,font,color3); //      
   }
  //----   -  )))

   bull = iBullsPower(NULL, 0, BullBearPeriod, PRICE_CLOSE, 0)*CountBars;
   bear = iBearsPower(NULL, 0, BullBearPeriod, PRICE_CLOSE, 0)*CountBars;
   
   
   double s = bear;// Lime;
   if (s<-10)         ObjectSetText("signal23",msg1,fontsize,font,color4); 
   if (s>=-10 && s<-9)ObjectSetText("signal22",msg1,fontsize,font,color4);
   if (s>=-9 && s<-8) ObjectSetText("signal21",msg1,fontsize,font,color4);
   if (s>=-8 && s<-7) ObjectSetText("signal20",msg1,fontsize,font,color4);
   if (s>=-7 && s<-6) ObjectSetText("signal19",msg1,fontsize,font,color4);
   if (s>=-6 && s<-5) ObjectSetText("signal18",msg1,fontsize,font,color4);
   if (s>=-5 && s<-4) ObjectSetText("signal17",msg1,fontsize,font,color4);
   if (s>=-4 && s<-3) ObjectSetText("signal16",msg1,fontsize,font,color4);
   if (s>=-3 && s<-2) ObjectSetText("signal15",msg1,fontsize,font,color4);
   if (s>=-2 && s<-1) ObjectSetText("signal14",msg1,fontsize,font,color4);
   if (s>=-1 && s<0)  ObjectSetText("signal13",msg1,fontsize,font,color4);
   if (s>=0 && s<1)   ObjectSetText("signal12",msg1,fontsize,font,color2);
   if (s>=1 && s<2)   ObjectSetText("signal11",msg1,fontsize,font,color2);
   if (s>=2 && s<3)   ObjectSetText("signal10",msg1,fontsize,font,color2);
   if (s>=3 && s<4)   ObjectSetText("signal9", msg1,fontsize,font,color2);
   if (s>=4 && s<5)   ObjectSetText("signal8", msg1,fontsize,font,color2);
   if (s>=5 && s<6)   ObjectSetText("signal7", msg1,fontsize,font,color2);
   if (s>=6 && s<7)   ObjectSetText("signal6", msg1,fontsize,font,color2);
   if (s>=7 && s<8)   ObjectSetText("signal5", msg1,fontsize,font,color2);
   if (s>=8 && s<9)   ObjectSetText("signal4", msg1,fontsize,font,color2);
   if (s>=9 && s<10)  ObjectSetText("signal3", msg1,fontsize,font,color2);
   if (s>=10)         ObjectSetText("signal2", msg1,fontsize,font,color2);
//------------------------
double Ks = bull;// Red; ???

   if (Ks<-10)          ObjectSetText("signab23",msg1,fontsize,font,color4);
   if (Ks>=-10 && Ks<-9)ObjectSetText("signab22",msg1,fontsize,font,color4);
   if (Ks>=-9 && Ks<-8) ObjectSetText("signab21",msg1,fontsize,font,color4);
   if (Ks>=-8 && Ks<-7) ObjectSetText("signab20",msg1,fontsize,font,color4);
   if (Ks>=-7 && Ks<-6) ObjectSetText("signab19",msg1,fontsize,font,color4);
   if (Ks>=-6 && Ks<-5) ObjectSetText("signab18",msg1,fontsize,font,color4);
   if (Ks>=-5 && Ks<-4) ObjectSetText("signab17",msg1,fontsize,font,color4);
   if (Ks>=-4 && Ks<-3) ObjectSetText("signab16",msg1,fontsize,font,color4);
   if (Ks>=-3 && Ks<-2) ObjectSetText("signab15",msg1,fontsize,font,color4);
   if (Ks>=-2 && Ks<-1) ObjectSetText("signab14",msg1,fontsize,font,color4);
   if (Ks>=-1 && Ks<0)  ObjectSetText("signab13",msg1,fontsize,font,color4);
   if (Ks>=0 && Ks<1)   ObjectSetText("signab12",msg1,fontsize,font,color2);
   if (Ks>=1 && Ks<2)   ObjectSetText("signab11",msg1,fontsize,font,color2);
   if (Ks>=2 && Ks<3)   ObjectSetText("signab10",msg1,fontsize,font,color2);
   if (Ks>=3 && Ks<4)   ObjectSetText("signab9", msg1,fontsize,font,color2);
   if (Ks>=4 && Ks<5)   ObjectSetText("signab8", msg1,fontsize,font,color2);
   if (Ks>=5 && Ks<6)   ObjectSetText("signab7", msg1,fontsize,font,color2);
   if (Ks>=6 && Ks<7)   ObjectSetText("signab6", msg1,fontsize,font,color2);
   if (Ks>=7 && Ks<8)   ObjectSetText("signab5", msg1,fontsize,font,color2);
   if (Ks>=8 && Ks<9)   ObjectSetText("signab4", msg1,fontsize,font,color2);
   if (Ks>=9 && Ks<10)  ObjectSetText("signab3", msg1,fontsize,font,color2);
   if (Ks>=10)          ObjectSetText("signab2", msg1,fontsize,font,color2);


   return(0);
  }